Bug 670445 - upgrade spmprotect.sh to sdm architecture
upgrade spmprotect.sh to sdm architecture
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
low Severity medium
: ---
: 3.3.4
Assigned To: Ayal Baron
storage
: SubFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-18 05:30 EST by Dan Kenigsberg
Modified: 2016-02-10 11:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-30 17:52:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Kenigsberg 2011-01-18 05:30:00 EST
At least one bit of spmprotect.sh expects vdsm to hold (no more than) a single spm lock. This is going to change when vdsm may hold several sdm locks that need to be protected.

This is a subfeature of the architectural change of forsaking spm.
Comment 1 Itamar Heim 2013-01-30 17:52:09 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.